/* 
 * Copyright (C) 2013 DENSO CORPORATION
 * Copyright (c) 2013 BMW Car IT GmbH
 * 
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of the copyright holders not be used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The copyright holders make
 * no representations about the suitability of this software for any
 * purpose.  It is provided "as is" without express or implied warranty.
 * 
 * THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
 * CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#include <stdlib.h>
#include <stdint.h>
#include "wayland-util.h"

extern const struct wl_interface wl_seat_interface;

static const struct wl_interface *types[] = {
	NULL,
	&wl_seat_interface,
	NULL,
};

static const struct wl_message ivi_hmi_controller_requests[] = {
	{ "UI_ready", "", types + 0 },
	{ "workspace_control", "ou", types + 1 },
	{ "switch_mode", "u", types + 0 },
	{ "home", "u", types + 0 },
};

static const struct wl_message ivi_hmi_controller_events[] = {
	{ "workspace_end_control", "i", types + 0 },
};

WL_EXPORT const struct wl_interface ivi_hmi_controller_interface = {
	"ivi_hmi_controller", 1,
	4, ivi_hmi_controller_requests,
	1, ivi_hmi_controller_events,
};

